package com.crm.pay.dto.finance.withdraw.automatic;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.math.BigDecimal;
import java.util.LinkedHashMap;
import java.util.Map;

@Data
public class FinanceWithdrawFlashDto extends FinanceWithdrawDto {

    private Map<String, String> params;
    private Map<String, String> paramsEn;

    @JSONField(ordinal = 1)
    private String bankcardAccountName;
    @JSONField(ordinal = 10)
    private String bankcardAccountNo;
    @JSONField(ordinal = 10)
    private String bankCode;
    @JSONField(ordinal = 30)
    private BigDecimal amount;

    public FinanceWithdrawFlashDto() {
        params = new LinkedHashMap<>();
        paramsEn = new LinkedHashMap<>();

        params.put("bankcardAccountName", "持卡人姓名");
        params.put("bankcardAccountNo", "银行卡号");
        params.put("bankCode", "银行编码");
        params.put("amount", "金额");

        paramsEn.put("bankcardAccountName", "bankcard Account Name");
        paramsEn.put("bankcardAccountNo", "bankcard Account No");
        paramsEn.put("bankCode", "bank Code");
        paramsEn.put("amount", "amount");

    }
}
